the following patch was just integrated into master:
commit 9b7efa55b3c2a0e299095eb643447a7ed43083df
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Sun Mar 8 09:20:36 2015 +0100
crossgcc: Add mipsel-elf as supported target
Change-Id: Icd8050d9193f9957468cfa13901ec14e993e50de
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
Reviewed-on: http://review.coreboot.org/8630
Tested-by: build bot (Jenkins)
Reviewed-by: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
See http://review.coreboot.org/8630 for details.
-gerrit
Patrick Georgi (pgeorgi(a)google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/8630
-gerrit
commit c6aa8c83bc47b58afaac9a495bf991b80fcbb2f9
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Sun Mar 8 09:20:36 2015 +0100
crossgcc: Add mipsel-elf as supported target
Change-Id: Icd8050d9193f9957468cfa13901ec14e993e50de
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
---
util/crossgcc/buildgcc | 1 +
1 file changed, 1 insertion(+)
diff --git a/util/crossgcc/buildgcc b/util/crossgcc/buildgcc
index 0779266..fc85734 100755
--- a/util/crossgcc/buildgcc
+++ b/util/crossgcc/buildgcc
@@ -229,6 +229,7 @@ done
case "$TARGETARCH" in
i386-elf) ;;
i386-mingw32) ;;
+ mipsel-elf) ;;
i386*) TARGETARCH=i386-elf;;
arm*) TARGETARCH=armv7-a-eabi;;
aarch64*) TARGETARCH=aarch64-elf;;
Patrick Georgi (pgeorgi(a)google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/8522
-gerrit
commit d85bc3c7006f9d8eea7fb01da7bc33288f91f081
Author: Patrick Georgi <pgeorgi(a)google.com>
Date: Tue Feb 24 10:52:14 2015 +0100
crossgcc: Unify tool tests, add check for g++ or clang
Change-Id: I406f5cfc61bc87ccc2c0b9283b4fbb8cef8dfc1b
Signed-off-by: Patrick Georgi <pgeorgi(a)google.com>
---
util/crossgcc/buildgcc | 37 +++++++++++++++++++++----------------
1 file changed, 21 insertions(+), 16 deletions(-)
diff --git a/util/crossgcc/buildgcc b/util/crossgcc/buildgcc
index 8ddeea0..7221b83 100755
--- a/util/crossgcc/buildgcc
+++ b/util/crossgcc/buildgcc
@@ -93,14 +93,20 @@ normalize_dirs()
perl -pi -e "s,/lib64,/lib," $DESTDIR$TARGETDIR/lib/*.la
}
-searchgnu()
+searchtool()
{
# $1 short name
- # result: GNU version of that tool on stdout
- # or no output if no GNU version was found
+ # $2 search string
+ # $3 soft fail if set
+ # result: file name of that tool on stdout
+ # or no output if nothing suitable was found
+ search=GNU
+ if [ -n "$2" ]; then
+ search="$2"
+ fi
for i in "$1" "g$1" "gnu$1"; do
if test -x "`which $i 2>/dev/null`"; then
- if test `$i --version 2>/dev/null |grep -c GNU` \
+ if test `$i --version 2>/dev/null |grep -c "$search"` \
-gt 0; then
echo $i
return
@@ -110,7 +116,7 @@ searchgnu()
# A workaround for OSX 10.9 and some BSDs, whose nongnu
# patch and tar also work.
if [ $UNAME = "Darwin" -o $UNAME = "FreeBSD" -o $UNAME = "NetBSD" ]; then
- if [ $1 != "make" ]; then
+ if [ "$1" = "patch" -o "$1" = "tar" ]; then
if test -x "`which $1 2>/dev/null`"; then
echo $1
return
@@ -118,20 +124,19 @@ searchgnu()
fi
fi
printf "${RED}ERROR:${red} Missing toolchain: $1${NC}\n" >&2
- exit 1
+ [ -z "$3" ] && exit 1
+ false
}
-TAR=`searchgnu tar` || exit $?
-PATCH=`searchgnu patch` || exit $?
-MAKE=`searchgnu make` || exit $?
-
-searchgnu m4 > /dev/null
-searchgnu bison > /dev/null
+TAR=`searchtool tar` || exit $?
+PATCH=`searchtool patch` || exit $?
+MAKE=`searchtool make` || exit $?
-if ! flex --version > /dev/null 2> /dev/null; then
- printf "${RED}ERROR:${red} Missing toolchain: flex${NC}\n" >&2
- exit 1
-fi
+searchtool m4 > /dev/null
+searchtool bison > /dev/null
+searchtool flex flex > /dev/null
+searchtool g++ "Free Software Foundation" nofail > /dev/null || \
+searchtool clang "clang version"
cleanup()
{
the following patch was just integrated into master:
commit b6fa61a1216cc48a199335d9414698401d20dbf2
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Fri Feb 20 13:13:35 2015 -0600
northbridge/amd/amdmct: Fix burst write depth on K10 rev. D and later
The BKDG for K10 revision D and later processors recommends a smaller
MCT burst write queue depth when using unganged memory.
TEST: Booted ASUS KFSN4-DRE with both Opteron 8356 and Opteron 2431
processors.
Change-Id: I36718d4972c9d2d0bdd3274191503b5fcd803f15
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Reviewed-on: http://review.coreboot.org/8500
Tested-by: build bot (Jenkins)
Reviewed-by: Paul Menzel <paulepanter(a)users.sourceforge.net>
Reviewed-by: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
See http://review.coreboot.org/8500 for details.
-gerrit
the following patch was just integrated into master:
commit 982473536bd8e698bf91f23d8b9a237c0ff29cac
Author: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Date: Tue Dec 16 16:28:12 2014 +0200
AGESA: Move agesawrappers related to HAVE_ACPI_RESUME support
This change brings all agesawrappers in a single file to make it
easier to understand the actual execution flow.
Change-Id: Ifbb2b16e4cccfaa17aaf10887a856797be9b6877
Signed-off-by: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Reviewed-on: http://review.coreboot.org/8605
Tested-by: build bot (Jenkins)
Reviewed-by: Patrick Georgi <pgeorgi(a)google.com>
See http://review.coreboot.org/8605 for details.
-gerrit
the following patch was just integrated into master:
commit 82fbda76c94e8405246c7d4ae6c73fde8b8f99cb
Author: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Date: Fri Jan 2 22:46:32 2015 +0200
AGESA: Use same HeapManager for all BiosCallOuts
We do not allow platforms to mess around with memory layout.
Change-Id: I316ff522c8833fa3b7ad20f2c5a9cae21f4174d8
Signed-off-by: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Reviewed-on: http://review.coreboot.org/8604
Tested-by: build bot (Jenkins)
Reviewed-by: Patrick Georgi <pgeorgi(a)google.com>
See http://review.coreboot.org/8604 for details.
-gerrit
the following patch was just integrated into master:
commit 0127c6c80865384faa43602bf22b3a70147343d9
Author: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Date: Thu Mar 5 14:35:04 2015 +0200
AMD: Uniformly define MSRs for TOP_MEM and TOP_MEM2
Make the build tolerate re-definitions.
Change-Id: Ia7505837c70b1f749262508b26576e95c7865576
Signed-off-by: Kyösti Mälkki <kyosti.malkki(a)gmail.com>
Reviewed-on: http://review.coreboot.org/8609
Tested-by: build bot (Jenkins)
Reviewed-by: Patrick Georgi <pgeorgi(a)google.com>
See http://review.coreboot.org/8609 for details.
-gerrit
the following patch was just integrated into master:
commit c13fc15a45560b84da77a9ca74af050d1bc19bec
Author: Aaron Durbin <adurbin(a)chromium.org>
Date: Mon Jul 14 19:13:07 2014 -0500
t132: add Kconfig option for MTS microcode directory
In order to make sharing of the location of MTS microcode easier
provide a Kconfig option that is the path to the files.
BUG=chrome-os-partner:30569
BRANCH=None
TEST=Built rush coreboot.
Original-Change-Id: I36775d0018fc8591d5e77c2943e28a51381713f5
Original-Signed-off-by: Aaron Durbin <adurbin(a)chromium.org>
Original-Reviewed-on: https://chromium-review.googlesource.com/207839
Original-Reviewed-by: Tom Warren <twarren(a)nvidia.com>
Original-Reviewed-by: Furquan Shaikh <furquan(a)chromium.org>
(cherry picked from commit 6f1de0e7fd312c1d6798e65d4b43d586f0994337)
Signed-off-by: Marc Jones <marc.jones(a)se-eng.com>
Change-Id: I660cb9d8bd13c765c89b54b0807b5b3ee836e807
Reviewed-on: http://review.coreboot.org/8614
Tested-by: build bot (Jenkins)
Reviewed-by: Aaron Durbin <adurbin(a)google.com>
Reviewed-by: Paul Menzel <paulepanter(a)users.sourceforge.net>
See http://review.coreboot.org/8614 for details.
-gerrit